% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot_functions.R
\name{geom_kegg}
\alias{geom_kegg}
\title{geom_kegg}
\usage{
geom_kegg(
  edge_color = NULL,
  node_label = .data$name,
  group_color = "red",
  parallel = FALSE
)
}
\arguments{
\item{edge_color}{color attribute to edge}

\item{node_label}{column name for node label}

\item{group_color}{border color for group node rectangles}

\item{parallel}{use geom_edge_parallel() instead of geom_edge_link()}
}
\value{
ggplot2 object
}
\description{
Wrapper function for plotting KEGG pathway graph
add geom_node_rect, geom_node_text and geom_edge_link simultaneously
}
\examples{
test_pathway <- create_test_pathway()
p <- ggraph(test_pathway, layout="manual", x=x, y=y)+
geom_kegg()
}
